{
    "name": "drupal/recommended-project",
    "description": "Project template for Drupal 9 projects with a relocated document root",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "homepage": "https://www.drupal.org/project/drupal",
    "support": {
        "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
        "chat": "https://www.drupal.org/node/314178"
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ],
    "require": {
        "composer/installers": "^1.9",
        "drupal/address": "^1.10",
        "drupal/administerusersbyrole": "^3.0",
        "drupal/config_pages": "2.x-dev@dev",
        "drupal/core-composer-scaffold": "^9.2",
        "drupal/core-project-message": "^9.2",
        "drupal/core-recommended": "^9.5",
        "drupal/entity_browser_enhanced": "^2.0",
        "drupal/entity_type_clone": "^4.0.3",
        "drupal/formatter_suite": "^1.3",
        "drupal/geocoder": "^3.25",
        "drupal/geofield": "^1.36",
        "drupal/honeypot": "^2.1",
        "drupal/image_delta_formatter": "^1.1",
        "drupal/image_field_caption": "^2.0",
        "drupal/leaflet": "^10.2",
        "drupal/leaflet_more_maps": "^2.1",
        "drupal/leaflet_more_markers": "^1.1",
        "drupal/linked_field": "^1.3",
        "drupal/mailsystem": "^4.4",
        "drupal/manage_display": "1.x-dev@dev",
        "drupal/page_manager": "4.x-dev@dev",
        "drupal/panels": "^4.6",
        "drupal/paragraphs": "1.x-dev@dev",
        "drupal/role_delegation": "^1.1",
        "drupal/slick": "^2.9",
        "drupal/smart_trim": "^2.1.0",
        "drupal/structure_sync": "^2.0",
        "drupal/views_conditional": "^1.5",
        "drupal/views_ef_fieldset": "^1.6",
        "drupal/webform": "^6.1",
        "geocoder-php/mapquest-provider": "^4.2",
        "wikimedia/composer-merge-plugin": "^2.0"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "stable",
    "prefer-stable": true,
    "config": {
        "sort-packages": true,
        "allow-plugins": {
            "composer/installers": true,
            "drupal/console-extend-plugin": true,
            "cweagans/composer-patches": true,
            "drupal/core-composer-scaffold": true,
            "drupal/core-project-message": false,
            "wikimedia/composer-merge-plugin": true,
            "php-http/discovery": true
        }
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            }
        },
        "installer-paths": {
            "web/core": [
                "type:drupal-core"
            ],
            "web/libraries/{$name}": [
                "type:drupal-library"
            ],
            "web/modules/contrib/{$name}": [
                "type:drupal-module"
            ],
            "web/profiles/contrib/{$name}": [
                "type:drupal-profile"
            ],
            "web/themes/contrib/{$name}": [
                "type:drupal-theme"
            ],
            "drush/Commands/contrib/{$name}": [
                "type:drupal-drush"
            ],
            "web/modules/custom/{$name}": [
                "type:drupal-custom-module"
            ],
            "web/profiles/custom/{$name}": [
                "type:drupal-custom-profile"
            ],
            "web/themes/custom/{$name}": [
                "type:drupal-custom-theme"
            ]
        },
        "drupal-core-project-message": {
            "include-keys": [
                "homepage",
                "support"
            ],
            "post-create-project-cmd-message": [
                "<bg=blue;fg=white>                                                         </>",
                "<bg=blue;fg=white>  Congratulations, you’ve installed the Drupal codebase  </>",
                "<bg=blue;fg=white>  from the drupal/recommended-project template!          </>",
                "<bg=blue;fg=white>                                                         </>",
                "",
                "<bg=yellow;fg=black>Next steps</>:",
                "  * Install the site: https://www.drupal.org/docs/8/install",
                "  * Read the user guide: https://www.drupal.org/docs/user_guide/en/index.html",
                "  * Get support: https://www.drupal.org/support",
                "  * Get involved with the Drupal community:",
                "      https://www.drupal.org/getting-involved",
                "  * Remove the plugin that prints this message:",
                "      composer remove drupal/core-project-message"
            ]
        },
        "merge-plugin": {
            "include": [
                "web/profiles/d8-starterkit-profile/composer.json"
            ],
            "recurse": true,
            "replace": false,
            "merge-extra": true
        },
        "old_patches": {
          "drupal/core": {
              "Title formatting broken due to flawed EntityViewController->buildTitle https://www.drupal.org/project/drupal/issues/2941208": "https://www.drupal.org/files/issues/2021-12-01/entity.title-2941208-147.patch"
          }
        },
        "patches": {
          "drupal/paragraphs": {
              "Skip saving empty paragraphs for certain types https://www.drupal.org/project/paragraphs/issues/2877695" : "https://www.drupal.org/files/issues/2021-03-31/2877695-35.patch"
          },
          "drupal/page_manager": {
              "optional path arguments https://www.drupal.org/project/page_manager/issues/2810329" : "https://www.drupal.org/files/issues/2020-06-04/page_manager-allow_optional_parameters-2810329-16.patch"
          },
          "drupal/leaflet_more_maps": {
            "Stamen map tiles moving to Stadia hosting and will no longer be available at old URL https://www.drupal.org/project/leaflet_more_maps/issues/3393412": "https://git.drupalcode.org/project/leaflet_more_maps/-/merge_requests/5.diff"
          }
        }
    }
}
